Questions on Linux Setup

Message boards : Questions : Questions on Linux Setup
Message board moderation

To post messages, you must log in.

AuthorMessage
Weather
Avatar

Send message
Joined: 13 Jun 19
Posts: 1
Message 222 - Posted: 13 Jun 2019, 2:04:47 UTC

Hello Science United Community,

I am a day in into the BOINC project and so far have some VM's running on my HomeLab to contribute to the BOINC Projects. Given this I've been using the command line version of BOINC in Ubuntu 19.04 in LXC, and trying to figure out on why my VM's are not showing up on my "Your Computers" tab.

What I've done so far:

    1] I looked up my key from the "look up command"
    boinccmd --lookup_account https://scienceunited.org <email> <password>

    2] From there i used this command with the key here:
    boinccmd --project_attach https://scienceunited.org <key>



Any thoughts?
Thanks,
~ Weather

ID: 222 · Rating: 0 · rate: Rate + / Rate - Report as offensive     Reply Quote
NeilPower

Send message
Joined: 19 Apr 19
Posts: 4
Message 223 - Posted: 26 Jun 2019, 19:25:44 UTC - in response to Message 222.  

Hi - looks like you're trying to add Science United as a project, not as an account manager.
Have you tried the below command?

boinccmd --acct_mgr attach https://scienceunited.org <email> <password>

More info at https://boinc.berkeley.edu/wiki/Boinccmd_tool#Account_manager_operations

Bear in mind SU needs BOINC v7.14 or later.
ID: 223 · Rating: 0 · rate: Rate + / Rate - Report as offensive     Reply Quote
jeff.ligon

Send message
Joined: 10 Apr 20
Posts: 4
Message 410 - Posted: 15 Apr 2020, 0:06:05 UTC
Last modified: 15 Apr 2020, 0:07:16 UTC

So I'm trying to do the same. I already had the command line BOINC client running on Ubuntu 18.04 contributing to SETI@Home.

I would now like to switch over to Science United. I get an error that my version is not current but it is?

$ boinccmd --join_acct_mgr https://scienceunited.org <e-mail> <password>
polling for reply
poll status: operation in progress
polling for reply
poll status: operation in progress
polling for reply
Messages from account manager:
Science United requires a newer version of BOINC.  Please install the current version from https://boinc.berkeley.edu/download.php

$ boinccmd --client_version
Client version: 7.9.3
$ boinc --version
7.9.3 x86_64-pc-linux-gnu
ID: 410 · Rating: 0 · rate: Rate + / Rate - Report as offensive     Reply Quote
tullio

Send message
Joined: 28 Apr 19
Posts: 52
Message 411 - Posted: 15 Apr 2020, 1:58:32 UTC - in response to Message 410.  
Last modified: 15 Apr 2020, 1:59:07 UTC

My HP laptop with OpenSuSE Linux Leap 15.0 has BOINC 7.8.3 and was refused admission to Science United. A Linux Virtual Machine on OpenSuSE Tumbleweed development varsion with BOINC 7.16.3 provided by SuSE was admitted and is running Science United tasks.
Tullio
ID: 411 · Rating: 0 · rate: Rate + / Rate - Report as offensive     Reply Quote
jeff.ligon

Send message
Joined: 10 Apr 20
Posts: 4
Message 416 - Posted: 15 Apr 2020, 15:44:03 UTC - in response to Message 411.  
Last modified: 15 Apr 2020, 16:30:41 UTC

Thanks Tullio, interesting result, that's a good clue. When I try to download via a browser on Mac or Windows, I'm prompted to download BOINC version 7.16.6.

From the Science United site, the download is BOINC version number 7.14.2.

But Ubuntu's apt-get installer installs version 7.9.3 so similar problem, this version is too old.

I need to figure out a different way to install a 7.14 or 7.16 version.
ID: 416 · Rating: 0 · rate: Rate + / Rate - Report as offensive     Reply Quote
jeff.ligon

Send message
Joined: 10 Apr 20
Posts: 4
Message 418 - Posted: 15 Apr 2020, 18:28:32 UTC
Last modified: 15 Apr 2020, 18:29:41 UTC

I was able to custom build a newer version of BOINC (7.17) by following a solution posted on the "Problems" message board.

https://scienceunited.org/forum_thread.php?id=141
ID: 418 · Rating: 0 · rate: Rate + / Rate - Report as offensive     Reply Quote

Message boards : Questions : Questions on Linux Setup


© 2020 UC Berkeley